# Makefile for GNU ddrescue - Data recovery tool
# Copyright (C) 2004-2014 Antonio Diaz Diaz.
# This file was generated automatically by configure. Do not edit.
#
# This Makefile is free software: you have unlimited permission
# to copy, distribute and modify it.

pkgname = ddrescue
pkgversion = 1.19
progname = ddrescue
use_linux = 
VPATH = .
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
infodir = $(datarootdir)/info
mandir = $(datarootdir)/man
CXX = g++
CPPFLAGS = 
CXXFLAGS = -Wall -W -O2
LDFLAGS = 

DISTNAME = $(pkgname)-$(pkgversion)
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIR = $(INSTALL) -d -m 755
SHELL = /bin/sh

ddobjs = fillbook.o genbook.o io.o logbook.o rescuebook.o main.o
objs = arg_parser.o block.o linux.o logfile.o loggers.o rational.o $(ddobjs)
logobjs = arg_parser.o block.o logbook.o logfile.o ddrescuelog.o


.PHONY : all install install-bin install-info install-man install-strip \
         uninstall uninstall-bin uninstall-info uninstall-man \
         doc info man check dist clean distclean

all : $(progname) ddrescuelog

$(progname) : $(objs)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(objs)

ddrescuelog : $(logobjs)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(logobjs)

static_$(progname) : $(objs)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -static -o $@ $(objs)

linux.o : linux.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(use_linux) -c -o $@ $<

main.o : main.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -DPROGVERSION=\"$(pkgversion)\" -c -o $@ $<

ddrescuelog.o : ddrescuelog.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -DPROGVERSION=\"$(pkgversion)\" -c -o $@ $<

%.o : %.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<

$(objs)       : Makefile
$(ddobjs)     : block.h ddrescue.h
arg_parser.o  : arg_parser.h
block.o       : block.h
io.o          : loggers.h
linux.o       : linux.h
logfile.o     : block.h
loggers.o     : block.h loggers.h
rational.o    : rational.h
rescuebook.o  : loggers.h
main.o        : arg_parser.h rational.h linux.h loggers.h main_common.cc
ddrescuelog.o : Makefile arg_parser.h block.h ddrescue.h main_common.cc


doc : info man

info : $(VPATH)/doc/$(pkgname).info

$(VPATH)/doc/$(pkgname).info : $(VPATH)/doc/$(pkgname).texi
	cd $(VPATH)/doc && makeinfo $(pkgname).texi

man : $(VPATH)/doc/$(progname).1 $(VPATH)/doc/ddrescuelog.1

$(VPATH)/doc/$(progname).1 : $(progname)
	help2man -n 'data recovery tool' -o $@ ./$(progname)

$(VPATH)/doc/ddrescuelog.1 : ddrescuelog
	help2man -n 'tool for ddrescue logfiles' -o $@ --no-info ./ddrescuelog

Makefile : $(VPATH)/configure $(VPATH)/Makefile.in
	./config.status

check : all
	@$(VPATH)/testsuite/check.sh $(VPATH)/testsuite $(pkgversion)

install : install-bin install-info install-man

install-bin : all
	if [ ! -d "$(DESTDIR)$(bindir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(bindir)" ; fi
	$(INSTALL_PROGRAM) ./$(progname) "$(DESTDIR)$(bindir)/$(progname)"
	$(INSTALL_PROGRAM) ./ddrescuelog "$(DESTDIR)$(bindir)/ddrescuelog"

install-info :
	if [ ! -d "$(DESTDIR)$(infodir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(infodir)" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(pkgname).info "$(DESTDIR)$(infodir)/$(pkgname).info"
	-install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$(pkgname).info"

install-man :
	if [ ! -d "$(DESTDIR)$(mandir)/man1" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(progname).1 "$(DESTDIR)$(mandir)/man1/$(progname).1"
	$(INSTALL_DATA) $(VPATH)/doc/ddrescuelog.1 "$(DESTDIR)$(mandir)/man1/ddrescuelog.1"

install-strip : all
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall : uninstall-bin uninstall-info uninstall-man

uninstall-bin :
	-rm -f "$(DESTDIR)$(bindir)/$(progname)"
	-rm -f "$(DESTDIR)$(bindir)/ddrescuelog"

uninstall-info :
	-install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$(pkgname).info"
	-rm -f "$(DESTDIR)$(infodir)/$(pkgname).info"

uninstall-man :
	-rm -f "$(DESTDIR)$(mandir)/man1/$(progname).1"
	-rm -f "$(DESTDIR)$(mandir)/man1/ddrescuelog.1"

dist : doc
	ln -sf $(VPATH) $(DISTNAME)
	tar -Hustar --owner=root --group=root -cvf $(DISTNAME).tar \
	  $(DISTNAME)/AUTHORS \
	  $(DISTNAME)/COPYING \
	  $(DISTNAME)/ChangeLog \
	  $(DISTNAME)/INSTALL \
	  $(DISTNAME)/Makefile.in \
	  $(DISTNAME)/NEWS \
	  $(DISTNAME)/README \
	  $(DISTNAME)/configure \
	  $(DISTNAME)/doc/$(progname).1 \
	  $(DISTNAME)/doc/ddrescuelog.1 \
	  $(DISTNAME)/doc/$(pkgname).info \
	  $(DISTNAME)/doc/$(pkgname).texi \
	  $(DISTNAME)/testsuite/check.sh \
	  $(DISTNAME)/testsuite/logfile[1-5] \
	  $(DISTNAME)/testsuite/logfile2i \
	  $(DISTNAME)/testsuite/logfile_blank \
	  $(DISTNAME)/testsuite/test.txt \
	  $(DISTNAME)/testsuite/test1.txt \
	  $(DISTNAME)/testsuite/test2.txt \
	  $(DISTNAME)/*.h \
	  $(DISTNAME)/*.cc
	rm -f $(DISTNAME)
	lzip -v -9 $(DISTNAME).tar

clean :
	-rm -f $(progname) $(objs)
	-rm -f static_$(progname) ddrescuelog ddrescuelog.o

distclean : clean
	-rm -f Makefile config.status *.tar *.tar.lz
