#
# Makefile to create the encoding vectors.
# Copyright (c) 1995-1998 Markku Rossi.
#
# Author: Markku Rossi <mtr@iki.fi>
#

#
# Enscript is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Enscript is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
#
# along with Enscript.  If not, see <http://www.gnu.org/licenses/>.
#

ENCODINGS = e_88591.c e_88592.c e_88593.c e_88594.c e_88595.c \
e_88597.c e_88599.c e_885910.c e_pc.c e_mac.c e_vms.c e_hp8.c e_koi8.c

all: $(ENCODINGS)

clean:
	rm -f $(ENCODINGS)

e_88591.c: make-encoding.pl ../88591.txt
	./make-encoding.pl ../88591.txt >e_88591.c

e_88592.c: make-encoding.pl ../88592.txt
	./make-encoding.pl ../88592.txt >e_88592.c

e_88593.c: make-encoding.pl ../88593.txt
	./make-encoding.pl ../88593.txt >e_88593.c

e_88594.c: make-encoding.pl ../88594.txt
	./make-encoding.pl ../88594.txt >e_88594.c

e_88595.c: make-encoding.pl ../88595.txt
	./make-encoding.pl ../88595.txt >e_88595.c

e_88597.c: make-encoding.pl ../88597.txt
	./make-encoding.pl ../88597.txt >e_88597.c

e_88599.c: make-encoding.pl ../88599.txt
	./make-encoding.pl ../88599.txt >e_88599.c

e_885910.c: make-encoding.pl ../885910.txt
	./make-encoding.pl ../885910.txt >e_885910.c

e_pc.c: make-encoding.pl ../ibmpc.txt
	./make-encoding.pl ../ibmpc.txt >e_pc.c

e_mac.c: make-encoding.pl ../mac.txt
	./make-encoding.pl ../mac.txt >e_mac.c

e_vms.c: make-encoding.pl ../vms.txt
	./make-encoding.pl ../vms.txt >e_vms.c

e_hp8.c: make-encoding.pl ../hp8.txt
	./make-encoding.pl ../hp8.txt >e_hp8.c

e_koi8.c: make-encoding.pl ../koi8.txt
	./make-encoding.pl ../koi8.txt >e_koi8.c
