# Makefile.sub for `gdiffmk' (integration into the groff source tree)

# File position: <groff-source>/contrib/gdiffmk/Makefile.sub

# Copyright (C) 2004-2014 Free Software Foundation, Inc.
# Written by Mike Bianchi <MBianchi@Foveal.com <mailto:MBianchi@Foveal.com>>

# This file is part of the gdiffmk utility, which is part of groff.

# groff is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# groff is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

########################################################################

MAN1=gdiffmk.n
MOSTLYCLEANADD=gdiffmk tests/runtests
RM=rm -f

all: gdiffmk

gdiffmk: gdiffmk.sh
	sed -e "s|@BINDIR@|$(bindir)|g" \
	    -e "s|@VERSION@|$(version)$(revision)|g" \
	    -e $(SH_SCRIPT_SED_CMD)  $(srcdir)/gdiffmk.sh >$@
	chmod +x $@

install_data: gdiffmk
	-test -d $(DESTDIR)$(bindir) || $(mkinstalldirs) $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/gdiffmk
	$(INSTALL_SCRIPT) gdiffmk $(DESTDIR)$(bindir)/gdiffmk

uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/gdiffmk

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
