# Makefile.sub for `include'
#
# File position: <groff-source>/src/include/Makefile.sub
#
# Copyright (C) 2014  Free Software Foundation, Inc.
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

HDRS=\
  assert.h \
  cmap.h \
  cset.h \
  color.h \
  device.h \
  driver.h \
  DviChar.h \
  errarg.h \
  error.h \
  font.h \
  geometry.h \
  getopt.h \
  getopt_int.h \
  gettext.h \
  htmlhint.h \
  index.h \
  lib.h \
  macropath.h \
  nonposix.h \
  posix.h \
  printer.h \
  ptable.h \
  refid.h \
  relocate.h \
  search.h \
  searchpath.h \
  stringclass.h \
  symbol.h \
  unicode.h \
  XFontName.h
GENHDRS=defs.h

all depend: $(GENHDRS)

defs.h: FORCE
	@$(SHELL) $(top_srcdir)/gendef.sh defs.h \
	"PROG_PREFIX=\"$(g)\"" \
	"DEVICE=\"$(DEVICE)\"" \
	"INSTALLPATH=\"$(prefix)\"" \
	"BINPATH=\"$(bindir)\"" \
	"FONTPATH=\"$(fontpath)\"" \
	"MACROPATH=\"$(tmacpath)\"" \
	"INDEX_SUFFIX=\"$(indexext)\"" \
	"COMMON_WORDS_FILE=\"$(common_words_file)\"" \
	"DEFAULT_INDEX_DIR=\"$(indexdir)\"" \
	"DEFAULT_INDEX_NAME=\"$(indexname)\"" \
	"DEFAULT_INDEX=\"$(indexdir)/$(indexname)\""

FORCE:

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
