# Makefile.sub for `preproc eqn'
#
# File position: <groff-source>/src/preproc/eqn/Makefile.sub
#
# Copyright (C) 2014  Free Software Foundation, Inc.
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

PROG=eqn$(EXEEXT)
MAN1=eqn.n neqn.n
XLIBS=$(LIBGROFF)
MLIB=$(LIBM)
OBJS=\
  eqn.$(OBJEXT) \
  main.$(OBJEXT) \
  lex.$(OBJEXT) \
  box.$(OBJEXT) \
  limit.$(OBJEXT) \
  list.$(OBJEXT) \
  over.$(OBJEXT) \
  text.$(OBJEXT) \
  script.$(OBJEXT) \
  mark.$(OBJEXT) \
  other.$(OBJEXT) \
  delim.$(OBJEXT) \
  sqrt.$(OBJEXT) \
  pile.$(OBJEXT) \
  special.$(OBJEXT)
CCSRCS=\
  $(srcdir)/main.cpp \
  $(srcdir)/lex.cpp \
  $(srcdir)/box.cpp \
  $(srcdir)/limit.cpp \
  $(srcdir)/list.cpp \
  $(srcdir)/over.cpp \
  $(srcdir)/text.cpp \
  $(srcdir)/script.cpp \
  $(srcdir)/mark.cpp \
  $(srcdir)/other.cpp \
  $(srcdir)/delim.cpp \
  $(srcdir)/sqrt.cpp \
  $(srcdir)/pile.cpp \
  $(srcdir)/special.cpp
HDRS=\
  $(srcdir)/box.h \
  $(srcdir)/eqn.h \
  $(srcdir)/pbox.h
GRAM=$(srcdir)/eqn.y
YTABC=eqn.cpp
YTABH=eqn_tab.h
NAMEPREFIX=$(g)
MOSTLYCLEANADD=neqn
RM=rm -f

all: neqn

neqn: neqn.sh $(SH_DEPS_SED_SCRIPT)
	$(RM) $@
	sed -e 's/@g@/$(g)/g' \
	    -f $(SH_DEPS_SED_SCRIPT) \
	    -e $(SH_SCRIPT_SED_CMD) $(srcdir)/neqn.sh >$@
	chmod +x $@

install_data: neqn
	$(RM) $(DESTDIR)$(bindir)/$(NAMEPREFIX)neqn
	$(INSTALL_SCRIPT) neqn $(DESTDIR)$(bindir)/$(NAMEPREFIX)neqn

uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/$(NAMEPREFIX)neqn

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
