# Makefile.sub for `preproc refer'
#
# File position: <groff-source>/src/preproc/refer/Makefile.sub
#
# Copyright (C) 1989-2014  Free Software Foundation, Inc.
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

PROG=refer$(EXEEXT)
MAN1=refer.n
XLIBS=$(LIBBIB) $(LIBGROFF)
MLIB=$(LIBM)
OBJS=\
  command.$(OBJEXT) \
  label.$(OBJEXT) \
  ref.$(OBJEXT) \
  refer.$(OBJEXT) \
  token.$(OBJEXT)
CCSRCS=\
  $(srcdir)/command.cpp \
  $(srcdir)/ref.cpp \
  $(srcdir)/refer.cpp \
  $(srcdir)/token.cpp
HDRS=\
  $(srcdir)/refer.h \
  $(srcdir)/token.h \
  $(srcdir)/command.h \
  $(srcdir)/ref.h
GRAM=$(srcdir)/label.y
YTABC=label.cpp
NAMEPREFIX=$(g)

.PHONY: install_data
install_data: refer
	-test -d $(DESTDIR)$(referdir) \
	  || $(mkinstalldirs) $(DESTDIR)$(referdir)

.PHONY: uninstall_data
uninstall_sub:
	-test -d $(DESTDIR)$(referdir) && rmdir $(DESTDIR)$(referdir)


########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
