# Makefile.sub for `src roff groff'

# File position: <groff-source>/src/roff/groff/Makefile.sub

# Copyright (C) 1993-2014  Free Software Foundation, Inc.

#   Rewritten by Bernd Warken <groff-bernd.warken-72@web.de> and
#   Werner LEMBERG  <wl@gnu.org>

# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

########################################################################

PROG=groff$(EXEEXT)
MAN1=groff.n
XLIBS=$(LIBGROFF) $(LIBGNU)
MLIB=$(LIBM)
OBJS=groff.$(OBJEXT) pipeline.$(OBJEXT)
CCSRCS=$(srcdir)/groff.cpp
CSRCS=$(srcdir)/pipeline.c
HDRS=$(srcdir)/pipeline.h

GROFF_OPTS_OUTPUT=\
  groff_opts_no_arg.txt \
  groff_opts_with_arg.txt

MOSTLYCLEANADD=groff_opts.tmp $(GROFF_OPTS_OUTPUT)

RM=rm -f

all: $(srcdir)/groff.cpp groff_opts.tmp $(GROFF_OPTS_OUTPUT)

groff_opts.tmp: $(srcdir)/groff.cpp
	@$(GREP) -e ':.*:.*:' $? | sed -e 's/[ \t",]//g' > $@
	@echo -n 'groff options: '
	@cat $@

groff_opts_no_arg.txt: groff_opts.tmp
	@sed -e 's/[a-zA-Z]://g' $? > $@
	@echo -n 'no arg: '
	@cat $@

groff_opts_with_arg.txt: groff_opts_no_arg.txt
	@sed "s/[`cat $?`:]//g" groff_opts.tmp > $@
	@echo -n 'with arg: '
	@cat $@

install_data: $(GROFF_OPTS_OUTPUT)
	-test -d $(DESTDIR)$(libprogramdir) \
	  || $(mkinstalldirs) $(DESTDIR)$(libprogramdir)
	for f in  $(GROFF_OPTS_OUTPUT); do \
	  $(RM) $(DESTDIR)$(libprogramdir)/$$f; \
	  $(INSTALL_SCRIPT) $$f $(DESTDIR)$(libprogramdir); \
	done

uninstall_sub:
	-for f in $(GROFF_OPTS_OUTPUT); do \
	  $(RM) $(DESTDIR)$(libprogramdir)/$$f;\
	done
# XXX This will be removed by `uninstall_dirs' in `$(top_srcdir)/Makefile.in'
# XXX (And only from there it is successful on an empty directory)
#	-d=$(DESTDIR)$(libprogramdir);\
#	  if test -d $$d; then rmdir $$d; fi

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
