# Makefile.sub for `grog'

# File position: <groff-source>/src/roff/grog/Makefile.sub

# Copyright (C) 1993-2014  Free Software Foundation, Inc.

# This file is part of `grog' which is part of `groff'.

# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

########################################################################

MAN1=grog.n
MOSTLYCLEANADD=grog $(MAN1)

# not all make programs have $(RM) predefined.
RM=rm -f

all: grog $(MAN1)

# lib .pl-files
GROG=$(srcdir)/subs.pl
GROG_=`echo $(GROG) | sed 's|$(srcdir)/||g'`


# Perl version works for all parts of `groff'.

grog: grog.pl $(GROG) $(SH_DEPS_SED_SCRIPT)
	$(RM) $@
	sed -f "$(SH_DEPS_SED_SCRIPT)" \
	    -e "1s|^\(#! \).*perl|\\1$(PERL)|" \
	    -e "s|@g@|$(g)|g" \
	    -e "s|@BINDIR@|$(DESTDIR)$(bindir)|g" \
	    -e "s|@grog_dir@|$(DESTDIR)$(grog_dir)|g" \
	    -e "s|@EGREP@|$(EGREP)|g" \
	    -e "s|@VERSION@|$(version)$(revision)|" \
	    -e "$(SH_SCRIPT_SED_CMD)" \
	    $(srcdir)/grog.pl >$@
	chmod +x $@

.PHONY: install_data
install_data: grog
	-test -d $(DESTDIR)$(bindir) || $(mkinstalldirs) $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/grog
	$(INSTALL_SCRIPT) grog $(DESTDIR)$(bindir)/grog
	-test -d $(DESTDIR)$(grog_dir) || $(mkinstalldirs) $(DESTDIR)$(grog_dir)
	for f in $(GROG_); do \
	  $(RM) $(DESTDIR)$(grog_dir)/$$f; \
	  $(INSTALL_SCRIPT) $(srcdir)/$$f $(DESTDIR)$(grog_dir)/$$f; \
	done

.PHONY: uninstall_data
uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/grog
	-for f in $(GROG_); do \
	  $(RM) $(DESTDIR)$(grog_dir)/$$f; \
	done
	-d=$(DESTDIR)$(grog_dir);\
	  if test -d $$d; then rmdir $$d; fi


########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
