# Makefile.sub for `src roff troff'
#
# File position: <groff-source>/src/roff/troff/Makefile.sub
#
# Copyright (C) 2014  Free Software Foundation, Inc.
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

PROG=troff$(EXEEXT)
MAN1=troff.n
XLIBS=$(LIBGROFF) $(LIBGNU)
MLIB=$(LIBM)
OBJS=\
  dictionary.$(OBJEXT) \
  div.$(OBJEXT) \
  env.$(OBJEXT) \
  input.$(OBJEXT) \
  majorminor.$(OBJEXT) \
  mtsm.$(OBJEXT) \
  node.$(OBJEXT) \
  number.$(OBJEXT) \
  reg.$(OBJEXT)
CCSRCS=\
  $(srcdir)/dictionary.cpp \
  $(srcdir)/div.cpp \
  $(srcdir)/env.cpp \
  $(srcdir)/input.cpp \
  majorminor.cpp \
  $(srcdir)/mtsm.cpp \
  $(srcdir)/node.cpp \
  $(srcdir)/number.cpp \
  $(srcdir)/reg.cpp
HDRS=\
  $(srcdir)/charinfo.h \
  $(srcdir)/dictionary.h \
  $(srcdir)/div.h \
  $(srcdir)/env.h \
  $(srcdir)/hvunits.h \
  $(srcdir)/input.h \
  $(srcdir)/mtsm.h \
  $(srcdir)/node.h \
  $(srcdir)/reg.h \
  $(srcdir)/request.h \
  $(srcdir)/token.h \
  $(srcdir)/troff.h
GENSRCS=majorminor.cpp
NAMEPREFIX=$(g)
RM=rm -f

majorminor.cpp: $(top_srcdir)/VERSION $(top_srcdir)/REVISION
	@echo Making $@
	@$(RM) $@
	@echo const char \*major_version = \
	  \"`sed -e 's/^\([^.]*\)\..*$$/\1/' $(top_srcdir)/VERSION`\"\; >$@
	@echo const char \*minor_version = \
	   \"`sed -e 's/^[^.]*\.\([0-9]*\).*$$/\1/' $(top_srcdir)/VERSION`\"\; \
	   >>$@
	@echo const char \*revision = \"`cat $(top_srcdir)/REVISION`\"\; >>$@

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
