# Copyright © 2013, 2014 Brandon Invergo <brandon@invergo.net>
#
# This file is part of GSRC.
#
# GSRC is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GSRC is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GSRC.  If not, see <http://www.gnu.org/licenses/>.

NAME = Aris
GARNAME = aris
GARVERSION = 2.2
HOME_URL = http://www.gnu.org/software/aris/
DESCRIPTION = Natural deduction first-order logic interface
define BLURB
Aris is a program for performing logical proofs.  It supports
propositional and predicate logic, as well as Boolean algebra and
arithmetical logic.  In addition to its predefined inference and
equivalence rules, Aris also supports references to older proofs.
Its use of standard logical symbols and its natural deduction
interface make it easy to use for beginners.
endef

######################################################################

MASTER_SITES = $(MASTER_GNU)
MASTER_SUBDIR = $(GARNAME)/
DISTFILES = $(DISTNAME).tar.gz
SIGFILES = $(DISTNAME).tar.gz.sig
INSTALL_SCRIPTS += $(WORKSRC)/Makefile doc

BUILDDEPS =
LIBDEPS =

######################################################################

include ../../gar.lib/info.mk
include ../../gar.lib/auto.mk
include config.mk

install-doc:
	$(INSTALL_INFO) $(WORKSRC)/doc/aris.info
	$(MAKECOOKIE)
