generate:
	@echo "*** Creating autotools dir"
	-mkdir autotools/
#	@echo "*** intltoolize (in pnee) ** "
	libtoolize --automake  --copy --force

	@echo "*** Retrieving configure tests needed by configure.in"
	@aclocal -I ./autotools/
	@ # echo "*** Scanning for include statements"
	@autoheader
	@echo "*** Building Makefile templates (step one)"
	@automake --add-missing 
	@echo "*** Building Makefile templates (step two)"
	@autoconf
	@if grep "ac_kw foo" configure &>/dev/null; then perl -p -i -e "s/ac_kw foo/ac_kw int foo/" configure; fi
	@perl -pi -e 'if (/\[\/\$$\]\*. INSTALL=/) { print $$_ ; $$_ = "\"\") ;;\n"; }' configure
	@-rm -f config.cache config.h
	@echo "*** Create date/time stamp"
	@touch stamp-h.in
	@echo "*** Finished"
	@echo "    Don't forget to run configure:"
	@echo "    ./configure  --enable-doc"
	@echo "    If you haven't done so in a while, run ./configure --help"


cvs-clean:
	@if test ! -d CVS; then \
          echo "you don't have a toplevel CVS directory."; \
          echo "You most certainly didn't use cvs to get these sources."; \
          echo "But this function depends on cvs's informations."; \
          exit 1 ;\
        fi;\
        pwd=`pwd` ;\
        dirs=`find . -type d | grep -v CVS | sed -e "s#^./##"` ;\
        for i in $$dirs; do \
          if test ! -d $$pwd/$$i/CVS; then \
            echo "D $$i" ;\
            rm -rf $$pwd/$$i; \
            continue; \
          fi ;\
          cd $$pwd/$$i ;\
          for f in * .*; do \
            if test ! -d $$f; then \
              if grep "^/$$f/" CVS/Entries > /dev/null; then \
                a="b"; \
              else \
                echo "F $$i/$$f"; \
                rm -f $$pwd/$$i/$$f; \
              fi; \
            fi ; \
          done; \
        done

